"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const process = require("process");
const cli_1 = require("../../cli");
const session_1 = require("../../session");
exports.command = 'audio-devices';
exports.desc = 'Fetch audio-devices';
exports.builder = {
    verbose: {
        demandOption: false,
        describe: 'Include remote logs',
        type: 'boolean',
        alias: 'v',
    },
};
exports.handler = (_) => tslib_1.__awaiter(this, void 0, void 0, function* () {
    cli_1.default.stream.loading('Fetching audio devices');
    try {
        const client = new session_1.PegasusClient(cli_1.default.config.pegasusConfiguration);
        const audioDevices = yield client.get_audio_devices();
        cli_1.default.stream.success();
        console.log(audioDevices);
    }
    catch (e) {
        cli_1.default.stream.error(`Failed to install platform: ${e.stack}`);
        process.exit();
    }
});
//# sourceMappingURL=audio-devices.js.map